Update Product
curl --request PATCH \
--url https://api.example.com/api/products/{slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"category_ids": [
123
],
"logo_url": "<string>",
"featured_image_url": "<string>",
"pricing": "Free",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_username": "<string>",
"linkedin_username": "<string>",
"instagram_username": "<string>",
"creator_usernames": [],
"badge_page_url": "<string>",
"launch_plan": "free"
}
'import requests
url = "https://api.example.com/api/products/{slug}"
payload = {
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"category_ids": [123],
"logo_url": "<string>",
"featured_image_url": "<string>",
"pricing": "Free",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_username": "<string>",
"linkedin_username": "<string>",
"instagram_username": "<string>",
"creator_usernames": [],
"badge_page_url": "<string>",
"launch_plan": "free"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tagline: '<string>',
description: '<string>',
website_url: '<string>',
category_ids: [123],
logo_url: '<string>',
featured_image_url: '<string>',
pricing: 'Free',
tags: [],
platforms: [],
special_tags: [],
twitter_username: '<string>',
linkedin_username: '<string>',
instagram_username: '<string>',
creator_usernames: [],
badge_page_url: '<string>',
launch_plan: 'free'
})
};
fetch('https://api.example.com/api/products/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/products/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tagline' => '<string>',
'description' => '<string>',
'website_url' => '<string>',
'category_ids' => [
123
],
'logo_url' => '<string>',
'featured_image_url' => '<string>',
'pricing' => 'Free',
'tags' => [
],
'platforms' => [
],
'special_tags' => [
],
'twitter_username' => '<string>',
'linkedin_username' => '<string>',
'instagram_username' => '<string>',
'creator_usernames' => [
],
'badge_page_url' => '<string>',
'launch_plan' => 'free'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/products/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/products/{slug}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/products/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"slug": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"logo_url": "<string>",
"pricing": "<string>",
"status": "<string>",
"featured": true,
"vote_count": 123,
"launch_date": "2023-11-07T05:31:56Z",
"category_id": 123,
"founder_id": 123,
"featured_image_url": "<string>",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_url": "<string>",
"linkedin_url": "<string>",
"instagram_url": "<string>",
"creator_links": [],
"badge_page_url": "<string>",
"badge_verified": false,
"launch_plan": "free",
"category": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"categories": [],
"founder": {
"id": 123,
"name": "<string>",
"username": "<string>",
"avatar_url": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}products
Update Product
PATCH
/
api
/
products
/
{slug}
Update Product
curl --request PATCH \
--url https://api.example.com/api/products/{slug} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"category_ids": [
123
],
"logo_url": "<string>",
"featured_image_url": "<string>",
"pricing": "Free",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_username": "<string>",
"linkedin_username": "<string>",
"instagram_username": "<string>",
"creator_usernames": [],
"badge_page_url": "<string>",
"launch_plan": "free"
}
'import requests
url = "https://api.example.com/api/products/{slug}"
payload = {
"name": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"category_ids": [123],
"logo_url": "<string>",
"featured_image_url": "<string>",
"pricing": "Free",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_username": "<string>",
"linkedin_username": "<string>",
"instagram_username": "<string>",
"creator_usernames": [],
"badge_page_url": "<string>",
"launch_plan": "free"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
tagline: '<string>',
description: '<string>',
website_url: '<string>',
category_ids: [123],
logo_url: '<string>',
featured_image_url: '<string>',
pricing: 'Free',
tags: [],
platforms: [],
special_tags: [],
twitter_username: '<string>',
linkedin_username: '<string>',
instagram_username: '<string>',
creator_usernames: [],
badge_page_url: '<string>',
launch_plan: 'free'
})
};
fetch('https://api.example.com/api/products/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/products/{slug}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'tagline' => '<string>',
'description' => '<string>',
'website_url' => '<string>',
'category_ids' => [
123
],
'logo_url' => '<string>',
'featured_image_url' => '<string>',
'pricing' => 'Free',
'tags' => [
],
'platforms' => [
],
'special_tags' => [
],
'twitter_username' => '<string>',
'linkedin_username' => '<string>',
'instagram_username' => '<string>',
'creator_usernames' => [
],
'badge_page_url' => '<string>',
'launch_plan' => 'free'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/products/{slug}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/api/products/{slug}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/products/{slug}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"tagline\": \"<string>\",\n \"description\": \"<string>\",\n \"website_url\": \"<string>\",\n \"category_ids\": [\n 123\n ],\n \"logo_url\": \"<string>\",\n \"featured_image_url\": \"<string>\",\n \"pricing\": \"Free\",\n \"tags\": [],\n \"platforms\": [],\n \"special_tags\": [],\n \"twitter_username\": \"<string>\",\n \"linkedin_username\": \"<string>\",\n \"instagram_username\": \"<string>\",\n \"creator_usernames\": [],\n \"badge_page_url\": \"<string>\",\n \"launch_plan\": \"free\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"slug": "<string>",
"tagline": "<string>",
"description": "<string>",
"website_url": "<string>",
"logo_url": "<string>",
"pricing": "<string>",
"status": "<string>",
"featured": true,
"vote_count": 123,
"launch_date": "2023-11-07T05:31:56Z",
"category_id": 123,
"founder_id": 123,
"featured_image_url": "<string>",
"tags": [],
"platforms": [],
"special_tags": [],
"twitter_url": "<string>",
"linkedin_url": "<string>",
"instagram_url": "<string>",
"creator_links": [],
"badge_page_url": "<string>",
"badge_verified": false,
"launch_plan": "free",
"category": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"categories": [],
"founder": {
"id": 123,
"name": "<string>",
"username": "<string>",
"avatar_url": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Required string length:
1 - 150Required string length:
1 - 100Required string length:
1 - 1000Required string length:
1 - 2083Required array length:
1 - 3 elementsAvailable options:
Free, Freemium, Paid Required string length:
1 - 2083Available options:
free, basic, pro, pro_plus Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes